# Gimp.Drawable.curves_spline

    @accepts(Gimp.Drawable, Gimp.HistogramChannel, gsize, [float])
    @returns(bool)
    def curves_spline(self, channel, num_points, points):
        # Python wrapper for gimp_drawable_curves_spline()

Modifies the intensity curve(s) for specified drawable.

Modifies the intensity mapping for one channel in the specified drawable. The channel can be either an intensity component, or the value. The 'points' parameter is an array of doubles which define a set of control points which describe a Catmull Rom spline which yields the final intensity curve. Use the Gimp.Drawable.curves_explicit function to explicitly modify intensity levels.

Since 2.10

self

  The drawable.

channel

  The channel to modify.

num_points

  The number of values in the control point array.

points

  The spline control points: { cp1.x, cp1.y, cp2.x, cp2.y, ... }.

Returns